{
  "name": "koishi-plugin-hisoutensoku-jammer",
  "version": "12.2.0",
  "description": "A Koishi Plugin jamming hisoutensoku plays in group.",
  "main": "dist/index.js",
  "types": "dist/src/index.d.ts",
  "scripts": {
    "lint": "eslint --fix .",
    "build": "webpack && env PACK_ALL=1 webpack",
    "start": "ts-node ./dev",
    "test": "jest --passWithNoTests"
  },
  "repository": {
    "type": "git",
    "url": "https://code.mycard.moe/nanahira/koishi-plugin-hisoutensoku-jammer.git"
  },
  "author": "Nanahira <nanahira@momobako.com>",
  "license": "MIT",
  "keywords": [
    "Koishi.js",
    "qqbot",
    "cqhttp",
    "required:cache-aragami",
    "market:hidden"
  ],
  "bugs": {
    "url": "https://code.mycard.moe/nanahira/koishi-plugin-hisoutensoku-jammer/issues"
  },
  "homepage": "https://code.mycard.moe/nanahira/koishi-plugin-hisoutensoku-jammer",
  "dependencies": {
    "crypto-random-string": "^3.3.1",
    "ip": "^1.1.5",
    "koishi-thirdeye": "^11.1.13",
    "lodash": "^4.17.21",
    "moment": "^2.29.1",
    "tesseract.js": "^2.1.5"
  },
  "devDependencies": {
    "@koishijs/plugin-console": "^4.5.4",
    "@koishijs/plugin-database-memory": "^2.0.0",
    "@koishijs/plugin-sandbox": "^2.3.5",
    "@types/ip": "^1.1.0",
    "@types/jest": "^29.2.0",
    "@types/lodash": "^4.14.177",
    "@types/node": "^16.11.9",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "@typescript-eslint/parser": "^4.33.0",
    "esbuild-loader": "^2.19.0",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^3.4.1",
    "jest": "^29.2.2",
    "prettier": "^2.4.1",
    "raw-loader": "^4.0.2",
    "ts-jest": "^29.0.3",
    "ts-loader": "^9.3.1",
    "ts-node": "^10.9.1",
    "typescript": "^4.8.4",
    "webpack": "^5.74.0",
    "webpack-cli": "^4.10.0",
    "ws": "^8.3.0"
  },
  "peerDependencies": {
    "koishi": "^4.10.3",
    "koishi-plugin-cache-aragami": "^2.1.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "tests",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
